<!-- Readme.md v1.1.3.0
B9 Stock Patches (BSP)
created: 23 Sep 2019
updated: 2020 03 26 -->

## Download on [SpaceDock][MOD:rel-spacedock] or [Github][MOD:rel-github] or [Curseforge][MOD:rel-curseforge]. Also available on [CKAN][MOD:rel-ckan].  

# B9StockPatches (B9P)
### Created by [@zer0Kerbal][LINK:zer0kerbal]  [email][LINK:email:zer0Kerbal] with continued support from the community.  
![Mod Version][shield:mod:latest] 
![KSP version][shield:ksp] ![KSP-AVC][shield:kspavc] ![License MIT][shield:license] ![][LOGO:mit]   
![SpaceDock][shield:spacedock] ![CKAN][shield:ckan] ![GitHub][shield:github] ![Curseforge][shield:curseforge]  
![Validate AVC .version files][shield:avcvalid]  
***
### This mod uses Module Manager patches to add an assortment of B9fuelswitch tank types to stock and DLC fuel tanks.  
##### <mark>Do not bother [@Blowfish][LINK:blowfish] with support requests for this mod.</mark>  
![B9 Stock Patches][IMG:hero:0] 

### Installing this adds a selection of B9 tank types to most stock tanks  
- Liquid Fuel & Oxidizer  
- Liquid Fuel  
- MonoPropellant  
- Battery   

### Installing KGEx (some need CRP) and/or SimpleConstruction will also add:
- Support (EC + MP)
- Xenon Gas
- Ore
- Argon Gas
- H20+Water
- Oxidizer
- RocketParts
- Metal
- Combination RocketParts + Metal + Ore

#### Cabin notes:  
- Tank sizes are automatically determined by existing parts exisitng capacioty (thank you to [@JadeofMaar][LINK:jadeofmaar])
- Default tank type should not change, if it was MP it still should be MP
- If Near Future Exploration is installed, will switch (silver) LFO tank to LF and (metal) LFO tank to Oxidizer.
- If KGEx is installed, several more combination tanktypes will become available.
- You can tweak values by editing the part.cfg or using but beware, these are complicated and advanced multi-pass patches.  
- Have a request? Glad to have them, kindly submit through GitHub.
***
### Full Changelog:
*See [ChangeLog][MOD:changelog] for full details of mod changes*
***
### Known Issues:
*See [Known Issuues][MOD:known] for any known issues*
***
### Installation Directions:
- Use [![CKAN][[image:rel-ckan]][thread:ckan]
### Dependencies
- [x] [Kerbal Space Program][KSP:website] [![][shield:ksp]][KSP:website] ***may*** work on other versions (YMMV)
- [x] [Module Manager][thread:mm] [^1]
- [x] [B9PartSwitcher][thread:B9]  
### Recomends  
- [KGex][thread:KGX] **adds more tanks types**
- [Community Resource Pack][thread:CRP]
## Suggests  *(other fun mods by zed'K)*:
- [x] [On Demand Fuel Cells {ODFC)}][thread:ODFC]  
- [x] [Field Training Lab (FTL)][thread:FTL]  
- [x] [Field Training Facility (FTF)][thread:FTF]  
- [x] [Docking Port Descriptions(DPD)][thread:DPD]  
- [x] [PicoPort Shielded (PPS)][thread:PPS]  
- [x] [Transparent Command Pods Repressurized)(TCP)][thread:TCP]  
- [x] [Stork Delivery System (SDS)][thread:SDS]
- [x] [Biomatic][thread:BIO]
- [x] [Oh Scrap!][thread:OHS]:  
- [x] [ScrapYard][thread:SYD]:  
- [x] [DaMichel's AeroRadial][thread:DAR]  
- [x] [DaMichel's CargoBays][thread:DCB]  
- [x] [DaMichel's Fuselage][thread:DMF]  
- [x] [DaMichel's Spherical Tanks][thread:DST]  
- [x] [Stork Delivery System (SDS)][thread:SDS]  
- [x] [SimpleLogistics!][thread:SL!]  
- [x] [SimpleConstructon!][thread:SC!]  
- [x] [Not So SimpleConstructon!][thread:NSSC]  

- [x] [TweakScale][thread:twk]
### Supports
- [x] [Kerbal Change Log][thread:kcl]  
- [x] [SimpleConstructon!][thread:SC!]
- [x] [Near Future Exploration][thread:NFX]
- [x] [Near Future Construction][thread:NFC]
### Conflicts
- [x] none known
***  
*red box below is a link to forum post on how to get support*  
[![How to get support][image:get-support]][thread:getsupport]
### License
#### aka Legal Mumbo Jumbo
Source: [GitHub][MOD:github:repo]  
License: ![License MIT][shield:license] ![][LOGO:mit]    
> *** All bundled mods are distributed under their own licenses***  
> *** All art assets (textures, models, animations) are distributed under their own licenses***   
### Original
Author: [@zer0Kerbal][LINK:zer0Kerbal]  
[Thread][MOD:original:thread]  
[Download][MOD:original:download]  
Source: [GitHub][MOD:original:source]  
License: ![License MIT][shield:license] ![][LOGO:mit]  
###### v1.0.0.0 original: 11 Aug 2018 0K updated: 26 Mar 2020 zed'K

<!-- graphical links to downloads -->
[MOD:license]:      https://github.com/zer0Kerbal/B9StockPatches/blob/master/LICENSE
[MOD:contributing]: https://github.com/zer0Kerbal/B9StockPatches/blob/master/.github/CONTRIBUTING.md
[MOD:issues]:       https://github.com/zer0Kerbal/B9StockPatches/issues
[MOD:wiki]:         https://github.com/zer0Kerbal/B9StockPatches/
[MOD:known]:        https://github.com/zer0Kerbal/B9StockPatches/wiki/Known-Issues
[MOD:forum]:        https://forum.kerbalspaceprogram.com/index.php?/topic/190870-*
[MOD:github:repo]:  https://github.com/zer0Kerbal/B9StockPatches/
[MOD:changelog]:    https://raw.githubusercontent.com/zer0Kerbal/B9StockPatches/master/Changelog.cfg
[KSP:website]:      http://kerbalspaceprogram.com/

<!--- original mod stuff -->
[MOD:original:source]:   https://github.com/zer0Kerbal/B9StockPatches/
[MOD:original:thread]:  https://forum.kerbalspaceprogram.com/index.php?/topic/190870-* "Dev Thread" 
[MOD:original:download]:  https://github.com/zer0Kerbal/B9StockPatches/

<!--- license logo urls -->
[LOGO:mit]:     https://i.postimg.cc/bvjfsMP5/MIT-17x17.png
[LOGO:gplv3]:   https://i.postimg.cc/90kCDs7K/gplv3-48x17.png
[LOGO:ccbysa4]: https://licensebuttons.net/l/by-sa/4.0/80x15.png

[MOD:rel-github]:    https://github.com/zer0Kerbal/B9StockPatches/releases/latest "GitHub"
[MOD:rel-spacedock]: http://spacedock.info/mod/2374
[MOD:rel-curseforge]: https://www.curseforge.com/kerbal/ksp-mods/b9Stockpatches
[MOD:rel-ckan]:       http://forum.kerbalspaceprogram.com/index.php?/topic/90246-*

[image:rel-github]:     https://i.imgur.com/RE4Ppr9.png
[image:rel-spacedock]:  https://i.imgur.com/m0a7tn2.png
[image:rel-curseforge]: https://i.postimg.cc/RZNyB5vP/Download-On-Curse.png
[image:get-support]:    https://i.postimg.cc/vHP6zmrw/image.png

[image:rel-ckan]:  https://i.postimg.cc/x8XSVg4R/sj507JC.png
[image:changelog]: https://i.postimg.cc/qM9p4V0C/changelog.png
[image:source]:    https://i.postimg.cc/tJ8GqW0H/source.png

[image:rel-github-sm]:      https://i.postimg.cc/1XXy5yfD/github.png
[image:rel-spacedock-sm]: https://i.postimg.cc/DZ22Hrhj/spacedock.png
[image:rel-curseforge-sm]: https://i.postimg.cc/ZRVTSWKT/UVVt0OP.png
  
[shield:mod:latest]: https://img.shields.io/github/v/release/zer0Kerbal/B9StockPatches?include_prereleases?style=plastic
[shield:mod]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/B9StockPatches/master/json/mod.json
[shield:ksp]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/B9StockPatches/master/json/ksp.json
[shield:license]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/B9StockPatches/master/json/license.json
[shield:code]:    https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/B9StockPatches/master/json/code.json  
[shield:kspavc]:     https://img.shields.io/badge/KSP-AVC--supported-brightgreen.svg?style=plastic
[shield:spacedock]:  https://img.shields.io/badge/SpaceDock-listed-blue.svg?style=plastic
[shield:ckan]:       https://img.shields.io/badge/CKAN-Indexed-blue.svg?style=plastic
[shield:github]:     https://img.shields.io/badge/Github-Indexed-blue.svg?style=plastic&logo=github
[shield:curseforge]: https://img.shields.io/badge/CurseForge-listed-blue.svg?style=plastic  
[shield:avcvalid]:   https://github.com/zer0Kerbal/B9StockPatches/workflows/Validate%20AVC%20.version%20files/badge.svg

<!-- zer0Kerbal mods -->
[thread:ODFC]: https://forum.kerbalspaceprogram.com/index.php?/topic/187625-* "On Demand Fuel Cells"
[thread:FTF]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Facility"
[thread:FTL]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Lab"
[thread:MHH]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188246-* "More Hitchhikers"
[thread:TCP]:  https://forum.kerbalspaceprogram.com/index.php?/topic/187495-* "Transparent Command Pods"
[thread:NUK]:  https://forum.kerbalspaceprogram.com/index.php?/topic/21466-*  "Nuke Tiny Parts"  
[thread:OHS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "Oh Scrap!"
[thread:SYD]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "ScrapYard"

[thread:DPD]:  https://github.com/zer0Kerbal/KGEx/tree/master/GameData/KGEx/DockingPortDescriptions "Docking Port Descriptions (DPD)"   
[thread:PPS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192187-*  "PicoPort Shielded (PPS)"  
[thread:DST]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Spherical Tanks (DST)"  
[thread:DMF]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Fuselage (DMF)"  
[thread:DAR]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's AeroRadial (DAR)"  
[thread:DCB]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's CargoBays (DCB)"  
[thread:SDS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "Stork Delivery System (SDS)"  
[thread:SC!]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191424-* "SimpleConstructon!"  
[thread:SL!]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191045-* "SimpleLogistics!"  
[thread:NSSC]: https://forum.kerbalspaceprogram.com/index.php?/topic/191504-* "Not So SimpleConstructon!"  
[thread:BIO]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191426-* "Biomatic"  
[thread:KGX]: https://spacedock.info/mod/2365 "KerGuise Experimental engineering (KGX)"  
[thread:CTN]:  http:// "CTN (CTN)"  
[thread:DRL]: https:// "DRElite (DRL)"  
[thread:VG0]:  http:// "Vanguard (VG0)"  
[thread:PRB]:  http:// "ProbiTronics (BPT)"  
[thread:HB!]:  http:// "HotBeverages (HBR)"  

[thread:mm]:   http://forum.kerbalspaceprogram.com/index.php?/topic/50533-* "ModuleManager"  
[thread:kcl]:  https://forum.kerbalspaceprogram.com/index.php?/topic/179207-* "Kerbal Changelog"  
[thread:ckan]: http://forum.kerbalspaceprogram.com/index.php?/topic/154922-* "CKAN"  

[thread:twk]: https://forum.kerbalspaceprogram.com/index.php?/topic/179030-* "TweakScale"
[thread:NFX]: https://forum.kerbalspaceprogram.com/index.php?/topic/155465-* "Near Future Exploration"  
[thread:NFC]: https://forum.kerbalspaceprogram.com/index.php?/topic/155465-* "Near Future Construction"  
[thread:B9]:  http://forum.kerbalspaceprogram.com/index.php?showtopic=140541/ "B9 Part Switcher"  
[thread:crp]: https://forum.kerbalspaceprogram.com/index.php?/topic/166314-* "Community Resource Pack"  

[thread:getsupport]: https://forum.kerbalspaceprogram.com/index.php?/topic/83212-* "How to get support"

[LINK:zer0Kerbal]: https://forum.kerbalspaceprogram.com/index.php?/profile/190933-zer0kerbal/  "zer0Kerbal"
[LINK:email:zer0Kerbal]: mailto:zer0Kerbal@hotmail.com "email zer0Kerbal"

[LINK:blowfish]: https://forum.kerbalspaceprogram.com/index.php?/profile/119688-blowfish/ "Blowfish"  
[LINK:jadeofmaar]: https://forum.kerbalspaceprogram.com/index.php?/profile/167617-jadeofmaar/ "JadeofMaar"  

[IMG:hero:0]: https://raw.githubusercontent.com/zer0Kerbal/B9StockPatches/master/graphics/B9StockSwitch-hero02-750x750.png "placeholder"
[IMG:hero:1]: https:// "" 
[IMG:hero:2]: https:// ""  

<!-- 
[![][UTUBE:img]][UTUBE:link] 
-->
[UTUBE:img]:  https://  ""
[UTUBE:link]: https:// ""  

[^1]: *Be Kind: Lithobrake, not jakebrake! Keep your Module Manager up to date*  

<!--
This readme is
GPLv2
zer0Kerbal-->